"use strict";
const common_vendor = require("../../common/vendor.js");
const CUSTOMER_show_method = require("./method.js");
const CUSTOMER_show_model = require("./model.js");
const gen_Enums = require("../../gen/Enums.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/sendWxWork.js");
require("../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_up_avatar2 = common_vendor.resolveComponent("up-avatar");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_up_avatar2 + _easycom_hs_cell2 + _easycom_hs_enum_tag2 + _easycom_uni_icons2 + _easycom_hs_empty2 + _easycom_hs_footer2)();
}
const _easycom_up_avatar = () => "../../node-modules/uview-plus/components/u-avatar/u-avatar.js";
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_enum_tag = () => "../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_empty = () => "../../components/hs-empty/hs-empty.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_up_avatar + _easycom_hs_cell + _easycom_hs_enum_tag + _easycom_uni_icons + _easycom_hs_empty + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const toPage = (url) => {
      common_vendor.index.navigateTo({
        url
      });
    };
    common_vendor.onLoad(async (e) => {
      var _a, _b;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      (_b = CUSTOMER_show_method.method) == null ? void 0 : _b.getShow(e == null ? void 0 : e.id);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p;
      return common_vendor.e({
        a: common_vendor.p({
          size: "50px"
        }),
        b: common_vendor.t(((_c = (_b = (_a = common_vendor.unref(CUSTOMER_show_model.useModel)) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.name) || "请补充姓名"),
        c: common_vendor.p({
          title: "手机号",
          placeholder: "手机号码信息缺失",
          value: (_f = (_e = (_d = common_vendor.unref(CUSTOMER_show_model.useModel)) == null ? void 0 : _d.showData) == null ? void 0 : _e.value) == null ? void 0 : _f.phone
        }),
        d: common_vendor.o(($event) => {
          var _a2, _b2, _c2, _d2, _e2, _f2;
          return toPage(`/CUSTOMER/assets/index?name=${(_c2 = (_b2 = (_a2 = common_vendor.unref(CUSTOMER_show_model.useModel)) == null ? void 0 : _a2.showData) == null ? void 0 : _b2.value) == null ? void 0 : _c2.name}&phone=${(_f2 = (_e2 = (_d2 = common_vendor.unref(CUSTOMER_show_model.useModel)) == null ? void 0 : _d2.showData) == null ? void 0 : _e2.value) == null ? void 0 : _f2.phone}`);
        }),
        e: common_vendor.f((_h = (_g = common_vendor.unref(CUSTOMER_show_model.useModel)) == null ? void 0 : _g.userHouse) == null ? void 0 : _h.value, (i, index, i0) => {
          var _a2, _b2, _c2, _d2;
          return common_vendor.e({
            a: common_vendor.t((_a2 = i == null ? void 0 : i.asset_project) == null ? void 0 : _a2.name),
            b: common_vendor.t((_b2 = i == null ? void 0 : i.asset_building) == null ? void 0 : _b2.name),
            c: common_vendor.t((_c2 = i == null ? void 0 : i.asset_unit) == null ? void 0 : _c2.name),
            d: common_vendor.t((_d2 = i == null ? void 0 : i.asset_house) == null ? void 0 : _d2.name),
            e: (i == null ? void 0 : i.house_relation) === "Owner"
          }, (i == null ? void 0 : i.house_relation) === "Owner" ? {} : {
            f: "9c5679fc-2-" + i0,
            g: common_vendor.p({
              Enums: common_vendor.unref(gen_Enums.HouseOccupantsResidentialRelationEnum),
              value: i == null ? void 0 : i.residential_relation
            })
          }, {
            h: "9c5679fc-3-" + i0,
            i: `items_${index}`,
            j: common_vendor.o(($event) => toPage(`/BILL/outstanding_fee/show/index?id=${i == null ? void 0 : i.asset_houses_id}`), `items_${index}`)
          });
        }),
        f: common_vendor.p({
          type: "right",
          size: "13",
          color: "#999"
        }),
        g: !((_k = (_j = (_i = common_vendor.unref(CUSTOMER_show_model.useModel)) == null ? void 0 : _i.arrearageHouses) == null ? void 0 : _j.value) == null ? void 0 : _k.length)
      }, !((_n = (_m = (_l = common_vendor.unref(CUSTOMER_show_model.useModel)) == null ? void 0 : _l.arrearageHouses) == null ? void 0 : _m.value) == null ? void 0 : _n.length) ? {
        h: common_vendor.p({
          baseStyle: {
            height: "200rpx",
            padding: "30rpx 0"
          }
        })
      } : {}, {
        i: common_vendor.f((_p = (_o = common_vendor.unref(CUSTOMER_show_model.useModel)) == null ? void 0 : _o.arrearageHouses) == null ? void 0 : _p.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.full_name),
            b: common_vendor.t(i == null ? void 0 : i.total_overdue_amount),
            c: common_vendor.o(($event) => toPage(`/CUSTOMER/list_bill/index?asset_houses_id=${i == null ? void 0 : i.asset_houses_id}&name=${i == null ? void 0 : i.full_name}`), `items_${index}`),
            d: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(CUSTOMER_show_method.method)) == null ? void 0 : _a2.shareBill();
            }, `items_${index}`),
            e: `items_${index}`
          };
        }),
        j: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(CUSTOMER_show_method.method)) == null ? void 0 : _a2.handleMakePhoneCall();
        }),
        k: common_vendor.p({
          btnParimaryName: "拨打电话"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/CUSTOMER/show/index.vue"]]);
wx.createPage(MiniProgramPage);
